@article{shannon1948,
  added-at = {2014-10-29T23:26:13.000+0100},
  author = {Shannon, Claude},
  biburl = {http://www.bibsonomy.org/bibtex/244eefdcbe008f7f0406568a9bc9f896e/subhashpujari},
  interhash = {754130207906fcec16a53d330eeff348},
  intrahash = {44eefdcbe008f7f0406568a9bc9f896e},
  journal = {Bell System Technical Journal},
  key = {Shannon},
  keywords = {entropy master_thesis shanon},
  pages = {379--423, 623--656},
  timestamp = {2014-10-29T23:26:13.000+0100},
  title = {A Mathematical Theory of Communication},
  volume = 27,
  year = 1948
}

@misc{robert1963,
  author = {Robert G. Gallager},
  title = {Low-Density Parity-Check Codes},
  year = {1963}
}

@inproceedings{berrou1993,
  author={Berrou, C. and Glavieux, A. and Thitimajshima, P.},
  booktitle={Communications, 1993. ICC '93 Geneva. Technical Program, Conference Record, IEEE International Conference on},
  title={Near Shannon limit error-correcting coding and decoding: Turbo-codes. 1},
  year={1993},
  month={May},
  volume={2},
  pages={1064-1070 vol.2}
}

@book{stroustrup2013,
 author = {Stroustrup, Bjarne},
 title = {The C++ Programming Language},
 year = {2013},
 isbn = {0321563840, 9780321563842},
 edition = {4th},
 publisher = {Addison-Wesley Professional},
}


@misc{david1999,
  author = {David J.C. MacKay},
  title = {Good Error-Correcting Codes based on Very Sparse Matrices},
  year = {1999}
}
@ARTICLE{spiral,
author={Puschel, M. and Moura, J.M.F. and Johnson, J.R. and Padua,
                  D. and Veloso, M.M. and Singer, B.W. and Xiong, J.
                  and Franchetti, F. and Gacic, A. and Voronenko,
                  Y. and Chen, K. and Johnson, R.W. and Rizzolo, N.},
journal={Proceedings of the IEEE}, 
title={SPIRAL: Code Generation for
                  DSP Transforms},
year={2005},
month={feb. },
volume={93},
number={2},
pages={232 -275},
keywords={DSP transforms;SPIRAL;code generation;computer microarchitecture;discrete Fourier transform;discrete wavelet
transforms;diverse computing platforms;domain specific mathematical structure;feedback driven optimizer;filter
transforms;human tuned transform library code;learning methods;linear digital signal processing
transforms;optimization;scientific computing;search methods;transform algorithms;trigonometric transforms;discrete
Fourier transforms;discrete wavelet transforms;mathematics computing;optimising compilers;signal processing;},
doi={10.1109/JPROC.2004.840306},
ISSN={0018-9219},}

@article{atlas,
  author    = {R. Clinton Whaley and
               Antoine Petitet and
               Jack Dongarra},
  title     = {Automated empirical optimizations of software and the ATLAS
               project},
  journal   = parco,
  volume    = {27},
  number    = {1-2},
  year      = {2001},
  pages     = {3-35},
  ee        = {http://dx.doi.org/10.1016/S0167-8191(00)00087-9},
  bibsource = {DBLP, http://dblp.uni-trier.de}
}
@article {eigen,
	title = {Generic Support of Algorithmic and Structural Recursion for Scientific Computing},
	journal = {The International Journal of Parallel, Emergent and Distributed Systems ({IJPEDS})},
	volume = {24},
	number = {6},
	year = {2009},
	note = {Accepted},
	month = {12/2009},
	pages = {479 - 503},
	keywords = {dilated integers},
	doi = {http://10.1080/17445760902758560},
	author = {P. Gottschling and David S. Wise and Adwait Joshi}
}
@misc{boost,
 author={J. Walter and M. Koch},
 title = {uBLAS},
 note = {\url{www.boost.org/libs/numeric}}
}
@inproceedings{lgen,
 author = {Spampinato, Daniele G. and P\"{u}schel, Markus},
 title = {A Basic Linear Algebra Compiler},
 booktitle = {Proceedings of Annual IEEE/ACM International Symposium on Code Generation and Optimization},
 series = {CGO '14},
 year = {2014},
 isbn = {978-1-4503-2670-4},
 location = {Orlando, FL, USA},
 pages = {23:23--23:32},
 articleno = {23},
 numpages = {10},
 url = {http://doi.acm.org/10.1145/2544137.2544155},
 doi = {10.1145/2544137.2544155},
 acmid = {2544155},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {Basic linear algebra, DSL, Program synthesis, SIMD vectorization, Small matrices, Tiling},
} 
@article{arikan2009,
  Author = {Arikan, E.},
  Date-Added = {2015-06-25 13:06:52 +0000},
  Date-Modified = {2015-06-25 13:06:52 +0000},
  Journal = {Information Theory, IEEE Transactions on},
  Number = {7},
  Pages = {3051-3073},
  Title = {Channel Polarization: A Method for Constructing Capacity-Achieving Codes for Symmetric Binary-Input Memoryless Channels},
  Volume = {55},
  Year = {2009}
}

@article{williams2009,
  author     = {Williams, Samuel and Waterman, Andrew and Patterson, David},
  title      = {Roofline: An Insightful Visual Performance Model for Multicore Architectures},
  journal    = {Commun. ACM},
  issue_date = {April 2009},
  volume     = {52},
  number     = {4},
  month      = apr,
  year       = {2009},
  issn       = {0001-0782},
  pages      = {65--76},
  numpages   = {12},
  url        = {http://doi.acm.org/10.1145/1498765.1498785},
  doi        = {10.1145/1498765.1498785},
  acmid      = {1498785},
  publisher  = {ACM},
  address    = {New York, NY, USA},
}

@article{treibig2009,
  author    = {Jan Treibig and
               Georg Hager},
  title     = {Introducing a Performance Model for Bandwidth-Limited Loop Kernels},
  journal   = {CoRR},
  volume    = {abs/0905.0792},
  year      = {2009},
  url       = {http://arxiv.org/abs/0905.0792},
  timestamp = {Mon, 05 Dec 2011 18:05:00 +0100},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/corr/abs-0905-0792},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}

@article{alamdar-yazdi2011,
  author={Alamdar-Yazdi, A. and Kschischang, F.R.},
  journal={Communications Letters, IEEE},
  title={A Simplified Successive-Cancellation Decoder for Polar Codes},
  year={2011},
  month={December},
  volume={15},
  number={12},
  pages={1378-1380}
}



@inproceedings{le-gal2014,
	Address = {Belfast, UK},
	Author = {B. {Le Gal} and C. Leroux and C. Jego},
	Booktitle = {Proceedings of the IEEE International Workshop on Signal Processing Systems (SIPS'14)},
	Date-Added = {2015-06-25 13:02:58 +0000},
	Date-Modified = {2015-06-25 13:04:18 +0000},
	Month = {October},
	Pages = {1---6},
	Title = {Software Polar Decoder on an Embedded Processor},
	Year = {2014}
}

@inproceedings{giard2014,
	Author = {Giard, P. and Sarkis, G. and Thibeault, C. and Gross, W.J.},
	Booktitle = {Acoustics, Speech and Signal Processing (ICASSP), 2014 IEEE International Conference on},
	Doi = {10.1109/ICASSP.2014.6855069},
	Keywords = {channel capacity;codecs;error correction codes;graphics processing units;parity check codes;software radio;channel capacity;error-correcting codes;error-correction performance;general-purpose processors;graphic processing units;information throughput;polar codes;software LDPC decoders;software implementations;software polar decoders;software-defined-radio applications;Decoding;Graphics processing units;Hardware;Parity check codes;Signal processing algorithms;Throughput;Decoding;Error-Correction;Polar Codes;Software-Defined-Radio},
	Month = {May},
	Pages = {7555-7559},
	Title = {Fast software polar decoders},
	Year = {2014},
	Bdsk-Url-1 = {http://dx.doi.org/10.1109/ICASSP.2014.6855069}
}

@article{sarkis2014_1,
	Author = {Sarkis, G. and Giard, P. and Vardy, A. and Thibeault, C. and Gross, W.J.},
	Doi = {10.1109/JSAC.2014.140514},
	Issn = {0733-8716},
	Journal = {Selected Areas in Communications, IEEE Journal on},
	Keywords = {block codes;decoding;error correction codes;field programmable gate arrays;linear codes;FPGA implementation;fast polar decoders;flexible polar decoder;gigabit-per-second polar decoder;polar codes;polar decoding hardware throughput;successive-cancellation decoders;symmetric memoryless channel capacity;Complexity theory;Maximum likelihood decoding;Parity check codes;Reliability;Systematics;Throughput;polar codes;storage systems;successive-cancellation decoding},
	Month = {May},
	Number = {5},
	Pages = {946-957},
	Title = {Fast Polar Decoders: Algorithm and Implementation},
	Volume = {32},
	Year = {2014},
	Bdsk-Url-1 = {http://dx.doi.org/10.1109/JSAC.2014.140514}
}

@inproceedings{sarkis2014_2,
	Author = {Sarkis, G. and Giard, P. and Thibeault, C. and Gross, W.J.},
	Booktitle = {Signal and Information Processing (GlobalSIP), 2014 IEEE Global Conference on},
	Doi = {10.1109/GlobalSIP.2014.7032067},
	Keywords = {data flow computing;decoding;program compilers;source code (software);branchless data flow;data memory layout;floating-point software polar decoder;fully-unrolled software polar decoders;optimization techniques;software polar decoder autogeneration;Computer architecture;Hardware;Maximum likelihood decoding;Signal processing algorithms;Software;Throughput;decoder;polar codes;software},
	Month = {Dec},
	Pages = {6-10},
	Title = {Autogenerating software polar decoders},
	Year = {2014},
	Bdsk-Url-1 = {http://dx.doi.org/10.1109/GlobalSIP.2014.7032067}
}

@article{le-gal2015,
	Author = {{Le Gal}, B. and Leroux, C. and Jego, C.},
	Date-Modified = {2015-06-25 13:05:00 +0000},
	Doi = {10.1109/TSP.2014.2371781},
	Issn = {1053-587X},
	Journal = {IEEE Transactions on Signal Processing},
	Keywords = {decoding;optimisation;AVX mode;SC decoder;SIMD mode;algorithmic simplifications;code length;code rate;data packing;energy per decoded bit;explicit assembly description;low level optimizations;memory reduction techniques;multiGb/s software decoding;multithreading mode;parallel software polar decoder;polar codes;processor architectures;selected target;software polar decoders;successive cancellation decoder;x86 processor target;Decoding;Optimization;Signal processing algorithms;Software;Systematics;Throughput;Vectors;Polar codes;SIMD;software optimizations;successive cancellation decoding;x86 processor},
	Month = {Jan},
	Number = {2},
	Pages = {349-359},
	Title = {Multi-Gb/s Software Decoding of Polar Codes},
	Volume = {63},
	Year = {2015},
	Bdsk-Url-1 = {http://dx.doi.org/10.1109/TSP.2014.2371781}
}
